libnl: Queue

libnl 3.12.0

Queue
Netfilter Library (libnl-nf)

## Functions
struct nl_sock * | nfnl_queue_socket_alloc (void)
int | nfnlmsg_queue_msg_parse (struct nlmsghdr *nlh, struct nfnl_queue_msg **result)
char * | nfnl_queue_copy_mode2str (enum nfnl_queue_copy_mode copy_mode, char *buf, size_t len)
int | nfnl_queue_str2copy_mode (const char *name)

## Variables
struct nl_object_ops | queue_obj_ops

## Attributes
void | nfnl_queue_set_group (struct nfnl_queue *queue, uint16_t group)
int | nfnl_queue_test_group (const struct nfnl_queue *queue)
uint16_t | nfnl_queue_get_group (const struct nfnl_queue *queue)
void | nfnl_queue_set_maxlen (struct nfnl_queue *queue, uint32_t maxlen)
int | nfnl_queue_test_maxlen (const struct nfnl_queue *queue)
uint32_t | nfnl_queue_get_maxlen (const struct nfnl_queue *queue)
void | nfnl_queue_set_copy_mode (struct nfnl_queue *queue, enum nfnl_queue_copy_mode mode)
int | nfnl_queue_test_copy_mode (const struct nfnl_queue *queue)
enum nfnl_queue_copy_mode | nfnl_queue_get_copy_mode (const struct nfnl_queue *queue)
void | nfnl_queue_set_copy_range (struct nfnl_queue *queue, uint32_t copy_range)
int | nfnl_queue_test_copy_range (const struct nfnl_queue *queue)
uint32_t | nfnl_queue_get_copy_range (const struct nfnl_queue *queue)

## Queue Commands
int | nfnl_queue_build_pf_bind (uint8_t pf, struct nl_msg **result)
int | nfnl_queue_pf_bind (struct nl_sock *nlh, uint8_t pf)
int | nfnl_queue_build_pf_unbind (uint8_t pf, struct nl_msg **result)
int | nfnl_queue_pf_unbind (struct nl_sock *nlh, uint8_t pf)
int | nfnl_queue_build_create_request (const struct nfnl_queue *queue, struct nl_msg **result)
int | nfnl_queue_create (struct nl_sock *nlh, const struct nfnl_queue *queue)
int | nfnl_queue_build_change_request (const struct nfnl_queue *queue, struct nl_msg **result)
int | nfnl_queue_change (struct nl_sock *nlh, const struct nfnl_queue *queue)
int | nfnl_queue_build_delete_request (const struct nfnl_queue *queue, struct nl_msg **result)
int | nfnl_queue_delete (struct nl_sock *nlh, const struct nfnl_queue *queue)

## Allocation/Freeing
struct nfnl_queue * | nfnl_queue_alloc (void)
void | nfnl_queue_get (struct nfnl_queue *queue)
void | nfnl_queue_put (struct nfnl_queue *queue)

## Detailed Description

## Function Documentation

## ◆ nfnl_queue_socket_alloc()

struct nl_sock * nfnl_queue_socket_alloc | ( | void |  | ) |

Definition at line 26 of file queue.c.

## ◆ nfnl_queue_build_pf_bind()

int nfnl_queue_build_pf_bind | ( | uint8_t | pf,
|  | struct nl_msg ** | result )

Definition at line 78 of file queue.c.

## ◆ nfnl_queue_pf_bind()

int nfnl_queue_pf_bind | ( | struct nl_sock * | nlh,
|  | uint8_t | pf )

Definition at line 83 of file queue.c.

## ◆ nfnl_queue_build_pf_unbind()

int nfnl_queue_build_pf_unbind | ( | uint8_t | pf,
|  | struct nl_msg ** | result )

Definition at line 94 of file queue.c.

## ◆ nfnl_queue_pf_unbind()

int nfnl_queue_pf_unbind | ( | struct nl_sock * | nlh,
|  | uint8_t | pf )

Definition at line 99 of file queue.c.

## ◆ nfnl_queue_build_create_request()

int nfnl_queue_build_create_request | ( | const struct nfnl_queue * | queue,
|  | struct nl_msg ** | result )

Definition at line 159 of file queue.c.

## ◆ nfnl_queue_create()

int nfnl_queue_create | ( | struct nl_sock * | nlh,
|  | const struct nfnl_queue * | queue )

Definition at line 181 of file queue.c.

## ◆ nfnl_queue_build_change_request()

int nfnl_queue_build_change_request | ( | const struct nfnl_queue * | queue,
|  | struct nl_msg ** | result )

Definition at line 192 of file queue.c.

## ◆ nfnl_queue_change()

int nfnl_queue_change | ( | struct nl_sock * | nlh,
|  | const struct nfnl_queue * | queue )

Definition at line 198 of file queue.c.

## ◆ nfnl_queue_build_delete_request()

int nfnl_queue_build_delete_request | ( | const struct nfnl_queue * | queue,
|  | struct nl_msg ** | result )

Definition at line 209 of file queue.c.

## ◆ nfnl_queue_delete()

int nfnl_queue_delete | ( | struct nl_sock * | nlh,
|  | const struct nfnl_queue * | queue )

Definition at line 219 of file queue.c.

## ◆ nfnlmsg_queue_msg_parse()

int nfnlmsg_queue_msg_parse | ( | struct nlmsghdr * | nlh,
|  | struct nfnl_queue_msg ** | result )

Definition at line 50 of file queue_msg.c.

## ◆ nfnl_queue_copy_mode2str()

char * nfnl_queue_copy_mode2str | ( | enum nfnl_queue_copy_mode | copy_mode,
|  | char * | buf,
|  | size_t | len )

Definition at line 68 of file queue_obj.c.

## ◆ nfnl_queue_str2copy_mode()

int nfnl_queue_str2copy_mode | ( | const char * | name | ) |

Definition at line 75 of file queue_obj.c.

## ◆ nfnl_queue_alloc()

struct nfnl_queue * nfnl_queue_alloc | ( | void |  | ) |

Definition at line 85 of file queue_obj.c.

## ◆ nfnl_queue_get()

void nfnl_queue_get | ( | struct nfnl_queue * | queue | ) |

Definition at line 90 of file queue_obj.c.

## ◆ nfnl_queue_put()

void nfnl_queue_put | ( | struct nfnl_queue * | queue | ) |

Definition at line 95 of file queue_obj.c.

## ◆ nfnl_queue_set_group()

void nfnl_queue_set_group | ( | struct nfnl_queue * | queue,
|  | uint16_t | group )

Definition at line 107 of file queue_obj.c.

## ◆ nfnl_queue_test_group()

int nfnl_queue_test_group | ( | const struct nfnl_queue * | queue | ) |

Definition at line 113 of file queue_obj.c.

## ◆ nfnl_queue_get_group()

uint16_t nfnl_queue_get_group | ( | const struct nfnl_queue * | queue | ) |

Definition at line 118 of file queue_obj.c.

## ◆ nfnl_queue_set_maxlen()

void nfnl_queue_set_maxlen | ( | struct nfnl_queue * | queue,
|  | uint32_t | maxlen )

Definition at line 123 of file queue_obj.c.

## ◆ nfnl_queue_test_maxlen()

int nfnl_queue_test_maxlen | ( | const struct nfnl_queue * | queue | ) |

Definition at line 129 of file queue_obj.c.

## ◆ nfnl_queue_get_maxlen()

uint32_t nfnl_queue_get_maxlen | ( | const struct nfnl_queue * | queue | ) |

Definition at line 134 of file queue_obj.c.

## ◆ nfnl_queue_set_copy_mode()

void nfnl_queue_set_copy_mode | ( | struct nfnl_queue * | queue,
|  | enum nfnl_queue_copy_mode | mode )

Definition at line 139 of file queue_obj.c.

## ◆ nfnl_queue_test_copy_mode()

int nfnl_queue_test_copy_mode | ( | const struct nfnl_queue * | queue | ) |

Definition at line 145 of file queue_obj.c.

## ◆ nfnl_queue_get_copy_mode()

enum nfnl_queue_copy_mode nfnl_queue_get_copy_mode | ( | const struct nfnl_queue * | queue | ) |

Definition at line 150 of file queue_obj.c.

## ◆ nfnl_queue_set_copy_range()

void nfnl_queue_set_copy_range | ( | struct nfnl_queue * | queue,
|  | uint32_t | copy_range )

Definition at line 155 of file queue_obj.c.

## ◆ nfnl_queue_test_copy_range()

int nfnl_queue_test_copy_range | ( | const struct nfnl_queue * | queue | ) |

Definition at line 161 of file queue_obj.c.

## ◆ nfnl_queue_get_copy_range()

uint32_t nfnl_queue_get_copy_range | ( | const struct nfnl_queue * | queue | ) |

Definition at line 166 of file queue_obj.c.

## Variable Documentation

## ◆ queue_obj_ops

struct nl_object_ops queue_obj_ops

Initial value:
= {
.oo_name = "netfilter/queue",
.oo_size = sizeof(struct nfnl_queue),
.oo_dump = {
[NL_DUMP_LINE] = nfnl_queue_dump,
[NL_DUMP_DETAILS] = nfnl_queue_dump,
[NL_DUMP_STATS] = nfnl_queue_dump,
},
.oo_compare = nfnl_queue_compare,
.oo_attrs2str = nfnl_queue_attrs2str,
.oo_id_attrs = QUEUE_ATTR_GROUP,
}
NL_DUMP_STATS
@ NL_DUMP_STATS
Dump all attributes including statistics.
Definition types.h:22
NL_DUMP_LINE
@ NL_DUMP_LINE
Dump object briefly on one line.
Definition types.h:20
NL_DUMP_DETAILS
@ NL_DUMP_DETAILS
Dump all attributes but no statistics.
Definition types.h:21

Definition at line 205 of file queue_obj.c.